Index: apps/app_voicemail.c
===================================================================
--- apps/app_voicemail.c	(revision 263150)
+++ apps/app_voicemail.c	(working copy)
@@ -1946,6 +1946,8 @@
 		return 8;
 	else if (!strcasecmp(folder, "Cust5"))
 		return 9;
+	else if (!strcasecmp(folder, "Urgent"))
+		return 11;
 	else /*assume they meant INBOX if folder is not found otherwise*/
 		return 0;
 }
@@ -2040,10 +2042,16 @@
 			pgm->seen = 1;
 		}
 		/* look for urgent messages */
-		if (urgent) {
-			pgm->flagged = 1;
-			pgm->unflagged = 0;
+		if (fold == 0) {
+			if (urgent) {
+				pgm->flagged = 1;
+				pgm->unflagged = 0;
+			} else {
+				pgm->flagged = 0;
+				pgm->unflagged = 1;
+			}
 		}
+
 		pgm->undeleted = 1;
 		pgm->deleted = 0;
 
